目次

# Pmt Function [VBA]

Calculates the constant periodic payments for a loan or investment.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    Pmt( Rate as Double, NPer as Double , PV as Double , [FV as Variant], [Due as Variant] )

### Return value:

Double

### Parameters:

利率 は期間の利率を指定します。

NPer は、年金が支払われる期間の合計です。

PV is the (present) cash value of an investment.

FV (optional) is the future value of the loan / investment.

Due (optional) defines whether the payment is due at the beginning or the end of a period.

0 - the payment is due at the end of the period;

1 - the payment is due at the beginning of the period.

### Error codes:

5 無効なプロシージャー呼び出しです

### Example:

    REM ***** BASIC *****
    Option VBASUPPORT 1
    ' Calculate the monthly payments to a loan that is to be paid in full over 6 years.
    ' Interest is 10% per year and payments are made at the end of the month.
    Sub ExamplePmt
     Dim myPmt As Double
     myPmt = Pmt( 0.1/12, 72, 100000 )
     print MyPmt 'is calculated to be -1852,58377757705
    End Sub

関連項目

PMT function in CALC

VBA financial functions